%define name ldetect-lst
%define version 0.1.167.3
%define release %mkrel 1

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Hardware list for the light detection library
URL: http://svn.mandriva.com/cgi-bin/viewvc.cgi/soft/ldetect-lst/trunk/
Source: %{name}-%{version}.tar.bz2
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires(post): perl-base gzip
Requires(preun): perl-base
BuildRequires: perl-MDK-Common
Provides: hwdata
# for XFdrake using nvidia97xx instead of nvidia, and nvidia71xx instead of NVIDIA_LEGACY:
Conflicts: drakx-kbd-mouse-x11 < 0.7

%package devel
Summary: Devel for ldetect-lst
Group: Development/Perl
Requires: ldetect-lst = %{version}

%description
The hardware device lists provided by this package are used as lookup 
table to get hardware autodetection

%description devel
see ldetect-lst

%prep
%setup -q

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

# trigger is needed to upgrade from a package having
# /usr/share/ldetect-lst/pcitable in the package to the new scheme
%triggerpostun -- %{name}
if [ -x /usr/sbin/update-ldetect-lst ]; then
  /usr/sbin/update-ldetect-lst
fi

%preun -p "/usr/sbin/update-ldetect-lst --clean"

%post -p /usr/sbin/update-ldetect-lst

%files
%defattr(-,root,root)
%doc AUTHORS 
%{_datadir}/%{name}
%{_sysconfdir}/modprobe.d/%{name}.conf
%{_sbindir}/*

%files devel
%defattr(-,root,root)
%doc convert/README.pcitable
%{_bindir}/*




%changelog
* Thu Dec 27 2007 Adam Williamson <awilliamson@mandriva.com> 0.1.167.3-1mdv2007.1
+ Revision: 138457
- new release 0.1.167.3:
  	+ add all latest NVIDIA and ATI IDs, for backports of latest proprietary drivers
  	+ update NVIDIA and ATI card group names for correctness and clarity
- 0.1.167.2: backport several more ATI and NVIDIA definitions from 2008
- 0.1.167.1, selective backports from 2008:
  add new IDs from ath_pci 0.9.3
  add new ATI and NVIDIA definitions made available since 2007.1 release
  one additional ID for sdhci
- copy 2007.1 ldetect-lst to backports

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)

